javax.sound.midi

## Class MidiDevice.Info

- java.lang.Object
- - javax.sound.midi.MidiDevice.Info

Enclosing interface:
  MidiDevice

    public static class MidiDevice.Info
    extends Object

A `MidiDevice.Info` object contains assorted data about a ``MidiDevice``, including its name, the company who created it, and descriptive text.

See Also:
  `MidiDevice.getDeviceInfo()`

### Constructor Summary

Constructors
`protected` `MidiDevice.Info(String name, String vendor, String description, String version)` Constructs a device info object.

### Method Summary

Methods
`boolean` `equals(Object obj)` Reports whether two objects are equal.
`String` `getDescription()` Obtains the description of the device.
`String` `getName()` Obtains the name of the device.
`String` `getVendor()` Obtains the name of the company who supplies the device.
`String` `getVersion()` Obtains the version of the device.
`int` `hashCode()` Finalizes the hashcode method.
`String` `toString()` Provides a string representation of the device information.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MidiDevice.Info

    protected MidiDevice.Info(String name,
                   String vendor,
                   String description,
                   String version)

Constructs a device info object.

Parameters:
  `name` - the name of the device
  `vendor` - the name of the company who provides the device
  `description` - a description of the device
  `version` - version information for the device

### Method Detail

#### equals

    public final boolean equals(Object obj)

Reports whether two objects are equal. Returns `true` if the objects are identical.

Overrides:
  `equals` in class `Object`
Parameters:
  `obj` - the reference object with which to compare this object
Returns:
  `true` if this object is the same as the `obj` argument; `false` otherwise
See Also:
  `Object.hashCode()`, `Hashtable`

#### hashCode

    public final int hashCode()

Finalizes the hashcode method.

Overrides:
  `hashCode` in class `Object`
Returns:
  a hash code value for this object.
See Also:
  `Object.equals(java.lang.Object)`, `Hashtable`

#### getName

    public final String getName()

Obtains the name of the device.

Returns:
  a string containing the device's name

#### getVendor

    public final String getVendor()

Obtains the name of the company who supplies the device.

Returns:
  device the vendor's name

#### getDescription

    public final String getDescription()

Obtains the description of the device.

Returns:
  a description of the device

#### getVersion

    public final String getVersion()

Obtains the version of the device.

Returns:
  textual version information for the device.

#### toString

    public final String toString()

Provides a string representation of the device information.

Overrides:
  `toString` in class `Object`
Returns:
  a description of the info object

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.